메인 콘텐츠로 건너뛰기
POST
/
image
/
edit
/api/v1/image/edit
curl --request POST \
  --url https://api.venice.ai/api/v1/image/edit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "Colorize",
  "image": "iVBORw0KGgoAAAANSUhEUgAAAgAAAAIACAIAAAB7GkOtAAAAIGNIUk0A..."
}
'
"<string>"
이것은 실험적 엔드포인트이며 변경될 수 있습니다.
가격: 이미지 편집 가격은 모델에 따라 다릅니다. 기본 모델(qwen-edit)은 편집당 $0.04입니다. 사용 가능한 모든 편집 모델과 가격은 모델 엔드포인트를 참조하세요.

품질 등급

일부 편집 모델은 시각적 충실도와 비용 간의 균형을 맞추는 선택적 quality 매개변수(low, medium, high)를 허용합니다. 현재 gpt-image-2-edit에서 지원되며, 다른 모델은 이 매개변수를 무시합니다.
{
  "model": "gpt-image-2-edit",
  "image": "iVBORw0KGgo...",
  "prompt": "change the sky to a sunrise",
  "resolution": "2K",
  "quality": "medium"
}
quality를 생략하면 모델은 기본 등급(gpt-image-2-edit의 경우 high)을 사용합니다. 등급별 가격(1K/2K/4K × low/medium/high)은 모델 엔드포인트model_spec.pricing.quality 아래에 있으며 가격 개요에 나열되어 있습니다.
품질 인식 가격은 모든 API 및 SDK 호출자의 기본값입니다 — opt-in 헤더가 필요하지 않습니다. quality를 생략한 요청은 모델의 기본 등급(gpt-image-2-edit의 경우 high)으로 청구됩니다.

Postman 컬렉션

추가 예제는 이 Postman 컬렉션을 참조하세요.
기본 모델(qwen-edit)은 노골적인 성적 이미지, 미성년자 성적 묘사 또는 실제 폭력을 생성하려는 요청을 차단합니다. 다른 모델은 다른 콘텐츠 정책을 가질 수 있습니다.

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

본문

Edit an image based on the supplied prompt.

image
필수

The image to edit. Can be either a file upload, a base64-encoded string, or a URL starting with http:// or https://. Image dimensions must be at least 65536 pixels and must not exceed 33177600 pixels. File size must be less than 25MB.

prompt
string
필수

The text directions to edit or modify the image. Short, descriptive prompts work best (e.g., "remove the tree", "change the sky to sunrise"). Character limit is model specific and is listed in the promptCharacterLimit setting in the model list endpoint.

Required string length: 1 - 32768
예시:

"Change the color of the sky to a sunrise"

aspect_ratio
enum<string>

The aspect ratio for the output image. Use 'auto' or omit this parameter to infer the closest supported aspect ratio from the input image when explicit sizing is required by the model. Supported values vary by model - check GET /api/v1/models for model-specific options.

사용 가능한 옵션:
auto,
1:1,
3:2,
16:9,
21:9,
9:16,
2:3,
3:4,
4:5
예시:

"16:9"

resolution
string

Resolution tier for the output image (e.g. "1K", "2K", "4K"). Supported values vary by model - check GET /api/v1/models for model-specific options. Defaults to "1K" when not specified.

Required string length: 1 - 10
예시:

"1K"

model
string
기본값:firered-image-edit

The model ID to use for image editing.

Minimum string length: 1
modelId
enum<string>
지원 중단

Deprecated: Use "model" instead. The model ID to use for image editing.

사용 가능한 옵션:
firered-image-edit,
qwen-edit,
qwen-edit-uncensored,
grok-imagine-edit,
grok-imagine-quality-edit,
qwen-image-2-edit,
qwen-image-2-pro-edit,
wan-2-7-pro-edit,
flux-2-max-edit,
gpt-image-2-edit,
gpt-image-1-5-edit,
nano-banana-2-edit,
nano-banana-pro-edit,
seedream-v5-lite-edit,
seedream-v4-edit
Minimum string length: 1
output_format
enum<string>

Output format for the edited image. Accepts jpeg, jpg, png, or webp. When omitted, the format is inferred from resolution: PNG for 1K edits and JPEG for 2K/4K edits.

사용 가능한 옵션:
jpeg,
png,
webp
예시:

"png"

safe_mode
boolean
기본값:true

Whether to use safe mode. If enabled, this will blur images that are classified as having adult content.

예시:

false

응답

OK

The response is of type file.